using System;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;

using Syncfusion.Runtime.Serialization;
using Syncfusion.Windows.Forms.Tools.XPMenus;

namespace MenuTest
{
	/// <summary>
	/// Summary description for CustomMainFrameBarManager.
	/// </summary>
	public class CustomMainFrameBarManager : MainFrameBarManager
	{
		public CustomMainFrameBarManager() : base()
		{
		}
		public CustomMainFrameBarManager(Form f) : base(f)
		{
		}
		public CustomMainFrameBarManager(IContainer c, Form f) : base(c, f)
		{
		}

		public void LoadBarCustomization(AppStateSerializer serializer)
		{
			this.LoadCustomizationInfo(serializer);
		}

		public void SaveBarCustomization(AppStateSerializer serializer)
		{
			this.SaveCustomizationInfo(serializer);
		}
	}
}
